Sat, 15 Aug 2020 18:13:12 UTC

Information for RPM rubygem-openssl-2.1.2-104.module_el8.0.0+173+64f7ad06.x86_64.rpm

ID71531
Namerubygem-openssl
Version2.1.2
Release104.module_el8.0.0+173+64f7ad06
Epoch
Archx86_64
SummaryOpenSSL provides SSL, TLS and general purpose cryptography
DescriptionOpenSSL provides SSL, TLS and general purpose cryptography. It wraps the OpenSSL library.
Build Time2019-08-02 02:01:59 GMT
Size192306
54f954c6af2ce017f7b12acec5b6c903
LicenseRuby or BSD
Buildrootmodule-ruby-2.5-8000020190801235001-d1bfb1e2-build-24396-1776
Provides
rubygem(openssl) = 2.1.2-104.module_el8.0.0+173+64f7ad06
rubygem-openssl = 2.1.2-104.module_el8.0.0+173+64f7ad06
rubygem-openssl(x86-64) = 2.1.2-104.module_el8.0.0+173+64f7ad06
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libcrypto.so.1.1()(64bit)
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
libcrypto.so.1.1(OPENSSL_1_1_1)(64bit)
libruby.so.2.5()(64bit)
libssl.so.1.1()(64bit)
libssl.so.1.1(OPENSSL_1_1_0)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
ruby(release)
ruby(rubygems) >= 2.7.6
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 30 of 30
Name ascending sort Size
/usr/lib/.build-id0
/usr/lib/.build-id/c1/2ee0912f2891fe4d0587ae4008e32cf03329f256
/usr/lib64/gems/ruby/openssl-2.1.20
/usr/lib64/gems/ruby/openssl-2.1.2/openssl.so397848
/usr/lib64/ruby/openssl.so45
/usr/share/gems/gems/openssl-2.1.20
/usr/share/gems/gems/openssl-2.1.2/lib0
/usr/share/gems/gems/openssl-2.1.2/lib/openssl0
/usr/share/gems/gems/openssl-2.1.2/lib/openssl.rb469
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/bn.rb708
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/buffering.rb10121
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/cipher.rb1745
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/config.rb12843
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/digest.rb1754
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/pkcs5.rb614
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/pkey.rb663
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/ssl.rb16443
/usr/share/gems/gems/openssl-2.1.2/lib/openssl/x509.rb5955
/usr/share/gems/specifications/openssl-2.1.2.gemspec4373
/usr/share/ruby/openssl0
/usr/share/ruby/openssl.rb49
/usr/share/ruby/openssl/bn.rb52
/usr/share/ruby/openssl/buffering.rb59
/usr/share/ruby/openssl/cipher.rb56
/usr/share/ruby/openssl/config.rb56
/usr/share/ruby/openssl/digest.rb56
/usr/share/ruby/openssl/pkcs5.rb55
/usr/share/ruby/openssl/pkey.rb54
/usr/share/ruby/openssl/ssl.rb53
/usr/share/ruby/openssl/x509.rb54
Component of
1 through 2 of 2
Buildroot descending sort Created State
module-ruby-2.5-8000020190801235001-d1bfb1e2-build-24433-1798 2019-08-02 03:00:36 expired
module-ruby-2.5-8000020190801235001-d1bfb1e2-build-24418-1787 2019-08-02 02:21:03 expired